Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class ListSubscriptionsByTopicRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sns.model.ListSubscriptionsByTopicRequest

    public class ListSubscriptionsByTopicRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ListSubscriptionsByTopic operation`.

The ListSubscriptionsByTopic action returns a list of the subscriptions to a specific topic. Each call returns a limited list of subscriptions. If there are more subscriptions, a NextToken is also returned. Use the NextToken parameter in a new ListSubscriptionsByTopic call to get further results.

See Also:
  `AmazonSNS.listSubscriptionsByTopic(ListSubscriptionsByTopicRequest)`

Constructor Summary
`ListSubscriptionsByTopicRequest()` Default constructor for a new ListSubscriptionsByTopicRequest object.
`ListSubscriptionsByTopicRequest(String topicArn)` Constructs a new ListSubscriptionsByTopicRequest object.
`ListSubscriptionsByTopicRequest(String topicArn, String nextToken)` Constructs a new ListSubscriptionsByTopicRequest object.

Method Summary
`String` | `getNextToken()` Token returned by the previous ListSubscriptionsByTopic request.
`String` | `getTopicArn()` The ARN of the topic for which you wish to find subscriptions.
`void` | `setNextToken(String nextToken)` Token returned by the previous ListSubscriptionsByTopic request.
`void` | `setTopicArn(String topicArn)` The ARN of the topic for which you wish to find subscriptions.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListSubscriptionsByTopicRequest` | `withNextToken(String nextToken)` Token returned by the previous ListSubscriptionsByTopic request.
`ListSubscriptionsByTopicRequest` | `withTopicArn(String topicArn)` The ARN of the topic for which you wish to find subscriptions.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSubscriptionsByTopicRequest

    public ListSubscriptionsByTopicRequest()

  Default constructor for a new ListSubscriptionsByTopicRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### ListSubscriptionsByTopicRequest

    public ListSubscriptionsByTopicRequest(String topicArn)

  Constructs a new ListSubscriptionsByTopicRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `topicArn` - The ARN of the topic for which you wish to find subscriptions.

### ListSubscriptionsByTopicRequest

    public ListSubscriptionsByTopicRequest(String topicArn,
                                           String nextToken)

  Constructs a new ListSubscriptionsByTopicRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `topicArn` - The ARN of the topic for which you wish to find subscriptions.
    `nextToken` - Token returned by the previous ListSubscriptionsByTopic request.

Method Detail

### getTopicArn

    public String getTopicArn()

  The ARN of the topic for which you wish to find subscriptions.

  Returns:
    The ARN of the topic for which you wish to find subscriptions.

### setTopicArn

    public void setTopicArn(String topicArn)

  The ARN of the topic for which you wish to find subscriptions.

  Parameters:
    `topicArn` - The ARN of the topic for which you wish to find subscriptions.

### withTopicArn

    public ListSubscriptionsByTopicRequest withTopicArn(String topicArn)

  The ARN of the topic for which you wish to find subscriptions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topicArn` - The ARN of the topic for which you wish to find subscriptions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  Token returned by the previous ListSubscriptionsByTopic request.

  Returns:
    Token returned by the previous ListSubscriptionsByTopic request.

### setNextToken

    public void setNextToken(String nextToken)

  Token returned by the previous ListSubscriptionsByTopic request.

  Parameters:
    `nextToken` - Token returned by the previous ListSubscriptionsByTopic request.

### withNextToken

    public ListSubscriptionsByTopicRequest withNextToken(String nextToken)

  Token returned by the previous ListSubscriptionsByTopic request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - Token returned by the previous ListSubscriptionsByTopic request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.